#!/bin/bash
# Utility script to mount ecryptfs on my PVE boxes
# This script is executed via systemd service file

PASSPHRASE_FILE=$HOME/.ecryptfs/passphrase
if [ ! -e ${PASSPHRASE_FILE} ];then 
	echo "EXITING: ${PASSPHRASE_FILE} missing!"
	exit 1
fi
PASSPHRASE=$(cat $PASSPHRASE_FILE)

/usr/bin/printf "%s" "${PASSPHRASE}" | /usr/bin/ecryptfs-add-passphrase --fnek -
/sbin/mount.ecryptfs_private dump
