#!/bin/bash
# Script to sync pulp repositories
# This script will be ran manually every week by hand
# BETA BETA BETA

CURR_DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
BOOTSTRAP=${CURR_DIR}/bootstrap.sh

if [ ! -e ${BOOTSTRAP} ];then 
	echo 'EXITING: boostrap.sh must be in the same directory as this script'
	exit 1
fi
. $BOOTSTRAP

repo_ids="oraclelinux7-x86_64-latest epel7-x86_64-base oraclelinux7-x86_64-addons oraclelinux7-x86_64-optional-latest oraclelinux7-x86_64-uek3 hhvm-x86_64-base webmin-noarch-base icinga-x86_64-stable-release ngtech-x86_64"

for repo_id in $repo_ids; do
	pulp-admin rpm repo sync run --repo-id=$repo_id
done


